%define majver %(echo %version | cut -d. -f1-2)

Name:          kdbusaddons
Version:       5.11.0
Release:       1mamba
Summary:       Convenience classes for DBus
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kdbusaddons-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Gui
BuildRequires: libQt5X11Extras
BuildRequires: libQt5Core
BuildRequires: libQt5DBus
BuildRequires: libQt5Test
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDBusAddons provides convenience classes on top of QtDBus, as well as an API to create KDED modules.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Convenience classes for DBus
Obsoletes:     kdbusaddons =< 5.9.0-3mamba
Provides:      kdbusaddons = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
KDBusAddons provides convenience classes on top of QtDBus, as well as an API to create KDED modules.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kdbusaddons5_qt --with-qt --all-name || touch kdbusaddons5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f kdbusaddons5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/kquitapp5
%{_kde5_libdir}/libKF5DBusAddons.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KDBusAddons
%{_kde5_includedir}/kdbusaddons_version.h
%{_kde5_libdir}/cmake/KF5DBusAddons
%{_kde5_libdir}/libKF5DBusAddons.so
%{_kde5_mkspecsdir}/qt_KDBusAddons.pri
%doc README.md

%changelog
* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-4mamba
- fix license and standardize the specfile
- obsoletes the kdbusaddons package

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-3mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
